srv = {}
srv.UserModes = {[0] = "User", [1] = "VIP", [2] = "Moderator", [3] = "Admin", [4] = "Owner"}
srv.Users = {
				--[[
					[USGN] = usermodenumber,
					4 - Owner
					3 - Admin
					2 - Moderator
					1 - VIP
					0 - User
				]]--
				
			}
srv.GetUser = function(usgn)
	return srv.Users[usgn] or 0
end
srv.Commands = {}
srv.NewCommand = function(name, action, usermode)
	usermode = usermode or 0
	local T = {name, action, usermode}
	table.insert(srv.Commands, T)
end
srv.GetCommand = function(cmd)
	for k, v in pairs(srv.Commands) do
		if v[1] == cmd then return k end
	end
end
addhook("say", "srv.OnSay")
srv.OnSay = function(id, txt)
	if txt:sub(1,1) == "!" then
		local CMD = srv.GetCommand(txt:sub(2, #txt))
		local User = srv.GetUser(player(id, "usgn"))
		if CMD then
			CMD = srv.Commands[CMD]
			if User >= CMD[3] then
				if type(CMD[2]) == "function" then
					CMD[2]()
				else
					parse("equip "..id.." "..CMD[2])
				end
				msg2(id, string.char(169).."000255000Command successfully used!")
			else
				msg2(id, string.char(169).."255000000You don't have permission to use this command(\""..srv.UserModes[CMD[3]].."\" mode needed at least!)")
			end
		end
		return 1
	end
end
srv.NewCommand("he", 51)	--// gives he
srv.NewCommand("wpn", 30, 1) --// gives ak47 if player is at least a vip